| Home | Libraries | People | FAQ | More

## Struct template on_total_absorbable<Type, false, false>

boost::icl::map::on_total_absorbable<Type, false, false>

## Synopsis

    // In header: <boost/icl/map.hpp>

    template<typename Type>
    struct on_total_absorbable<Type, false, false> {
      // types
      typedef Type::element_type               element_type;
      typedef Type::codomain_type              codomain_type;
      typedef Type::iterator                   iterator;
      typedef Type::inverse_codomain_intersect inverse_codomain_intersect;

      // public static functions
      static void flip(Type &, const element_type &);
    };

## Description

### `on_total_absorbable` public static functions

1.     static void flip(Type & object, const element_type & operand);